<ion-toolbar class="bck" color="yellow">
  <ion-icon (click)="Backbutton()" class="back" name="arrow-round-back"></ion-icon>
   <h2 class="title">GIVE A JOB</h2>
   <ion-input [formControl]="name"></ion-input>
   <h3>Last stop of submitting your job</h3>
 </ion-toolbar>

   
 <ion-content fullscreen>
    <form [formGroup]="jobForm">
    <ion-card>
     
        <div class="image">
            <img *ngIf="fileUrl" src="{{fileUrl}}"/>
            <h1 >Image of the Job</h1>
         </div>
          <ion-card-content>
              <ion-button class="photo" color="medium" size="small" (click)="UploadPhoto()"><ion-icon slot="icon-only" name="camera"></ion-icon></ion-button>
          </ion-card-content>
        
    </ion-card>

    <ion-card>
        <ion-card-content>
          <ion-card-title>
            Description
            </ion-card-title>
           <hr>
           <ion-input class="price" formControlName="description"></ion-input>
        </ion-card-content>
      </ion-card>
      <ion-card>
          <ion-card-content>
            <ion-card-title>
              Price
              </ion-card-title>
              <hr>
              <ion-input [(ngModel)]="value" class="price" formControlName="price" placeholder="45$"></ion-input>
          </ion-card-content>
        </ion-card>
      </form>
      <ion-button color="warning" (click)="getGeolocation()">
        Get Job Location
      </ion-button>
    
    
      <div *ngIf="geoLatitude">
        <p>Latitude : {{geoLatitude}}</p>
        <p>Longitude : {{geoLongitude}}</p>
        <p>Accuracy : {{geoAccuracy}}</p>
        <p class="address-text">
          <br>Address : {{geoAddress }}
        </p>
      </div>
    
        <ion-button (click)="cancel()"  class="cancel" color="light">CANCEL</ion-button>
        <ion-button  (click)="save()" [routerLink]="['/publish', value]" routerDirection="forward" class="publish" color="warning">PUBLISH</ion-button>
      </ion-content>

